# Class ScopeChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.jface.dialogs.ScopeChangedEvent

All Implemented Interfaces:
  `Serializable`

public class ScopeChangedEvent extends EventObject
Event object describing a page selection change. The source of these events is a page change provider.

Since:
  3.38
See Also:
  - `IPageChangeProvider`
  - `IPageChangedListener`
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ScopeChangedEvent(IPageChangeProvider source, int scope)`
Creates a new event for the given source and new scope.

## Method Summary

Modifier and Type
Method
Description
`IScopeChangeProvider`
`getPageChangeProvider()`
Returns the scope change provider that is the source of this event.
`int`
`getScope()`
Returns the new scope.

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScopeChangedEvent

public ScopeChangedEvent(IPageChangeProvider source, int scope)
Creates a new event for the given source and new scope.

Parameters:
  `source` - the page change provider
  `scope` - the new scope. In the JFace provided dialogs this will be an `ISearchPageContainer` constant.

## Method Details

### getScope

public int getScope()
Returns the new scope.

Returns:
  the new scope. In dialogs implemented by JFace, this will be an `ISearchPageContainer` constant.

### getPageChangeProvider

public IScopeChangeProvider getPageChangeProvider()
Returns the scope change provider that is the source of this event.

Returns:
  the originating scope change provider